# Uses of Interface
net.shibboleth.idp.saml.nameid.NameIDDecoder

Packages that use NameIDDecoder
Package
Description
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.

## Uses of NameIDDecoder in net.shibboleth.idp.saml.nameid.impl

Classes in net.shibboleth.idp.saml.nameid.impl that implement NameIDDecoder
Modifier and Type
Class
Description
`class`
`CryptoTransientNameIDDecoder`
Processes a transient `NameID`, checks that its `NameIDType.getNameQualifier()` and `NameIDType.getSPNameQualifier()` are correct, and decodes `XSString.getValue()` via the base class (reversing the work done by `CryptoTransientIdGenerationStrategy`).
`class`
`StoredPersistentIdDecoder`
A decoder which contains the logic to decode SAML persistent IDs that are managed with a `DurablePairwiseIdStore`.
`class`
`TransformingNameIDDecoder`
Transform from a `NameID`.
`class`
`TransientNameIDDecoder`
Decodes `XSString.getValue()` via the base class (reversing the work done by `TransientSAML2NameIDGenerator`).
Fields in net.shibboleth.idp.saml.nameid.impl declared as NameIDDecoder
Modifier and Type
Field
Description
`private NameIDDecoder`
NameIDCanonicalization.`decoder`
Supplies logic for decoding the `NameID` into a principal.
Methods in net.shibboleth.idp.saml.nameid.impl that return NameIDDecoder
Modifier and Type
Method
Description
`NameIDDecoder`
NameIDCanonicalization.`getDecoder()`
Get the class responsible for decoding the `XSString.getValue()` into a principal.
Methods in net.shibboleth.idp.saml.nameid.impl with parameters of type NameIDDecoder
Modifier and Type
Method
Description
`void`
NameIDCanonicalization.`setDecoder(NameIDDecoder theDecoder)`
Set the class responsible for decoding the `XSString.getValue()` into a principal.